# Maintainer: Kaizhao Zhang <zhangkaizhao@gmail.com>
# Contributor: Nico <d3sox at protonmail dot com>
# Modifiy by Rafael from azul

_pkgname=WhiteSur-icon-theme
_pkgver=2023-07-03
ncommit=0e9d7a72899810a157687273c5d36e3e0d7c166c

pkgname=whitesur-icon-theme
pkgver="${_pkgver//-/.}"
pkgrel=1
pkgdesc="MacOS Big Sur like icon theme for linux desktops"
url="https://github.com/vinceliuice/WhiteSur-icon-theme"
arch=('any')
makedepends=('gtk-update-icon-cache')
optdepends=(
  'whitesur-gtk-theme: Recommended GTK theme'
  'whitesur-kde-theme: Recommended KDE theme'
  'whitesur-cursor-theme: Recommended cursor theme'
)
conflicts=("${pkgname}-git")
options=('!strip')
license=('GPL3')
source=("${_pkgname}::git+${url}#commit=${ncommit}")
sha256sums=('SKIP')

package() {
  cd "${srcdir}/${_pkgname}"
  install -dm755 "${pkgdir}/usr/share/icons"
  ./install.sh -d "${pkgdir}/usr/share/icons"
}
